apiVersion: broker.amq.io/v1beta1
kind: ActiveMQArtemis
metadata:
  labels:
    app: intp
    component: intp-amq
    product: intp
    template: artemis-activemq
  name: intp-amq
spec:
  acceptors:
  - amqpMinLargeMessageSize: 102400
    enabledProtocols: TLSv1,TLSv1.1,TLSv1.2
    expose: false
    name: artemis
    needClientAuth: false
    port: 61617
    protocols: core,amqp,stomp,hornetq,mqtt
    sslEnabled: true
    sslProvider: JDK
    verifyHost: true
    wantClientAuth: false
    sslSecret: mytlssecret
  - expose: false
    name: scaleDown
    needClientAuth: false
    port: 61616
    protocols: core
    wantClientAuth: false
  addressSettings:
    addressSetting:
    - addressFullPolicy: PAGE
      autoCreateAddresses: true
      autoCreateJmsQueues: true
      autoCreateJmsTopics: true
      autoCreateQueues: true
      autoDeleteQueues: false
      deadLetterAddress: DLQ
      expiryAddress: ExpiryQueue
      match: activemq.management#
      maxDeliveryAttempts: 100
      maxSizeBytes: "-1"
      messageCounterHistoryDayLimit: 10
      redeliveryDelay: 0
    - addressFullPolicy: PAGE
      autoCreateAddresses: true
      autoCreateJmsQueues: true
      autoCreateJmsTopics: true
      autoCreateQueues: true
      autoDeleteQueues: false
      deadLetterAddress: DLQ
      defaultExclusiveQueue: true
      expiryAddress: ""
      match: smw.*.trigger
      maxDeliveryAttempts: 100
      maxSizeBytes: "-1"
      messageCounterHistoryDayLimit: 10
      redeliveryDelay: 0
    - addressFullPolicy: PAGE
      autoCreateAddresses: true
      autoCreateJmsQueues: true
      autoCreateJmsTopics: true
      autoCreateQueues: true
      autoDeleteQueues: false
      deadLetterAddress: DLQ
      expiryAddress: ExpiryQueue
      match: '#'
      maxDeliveryAttempts: 100
      maxSizeBytes: "-1"
      messageCounterHistoryDayLimit: 10
      redeliveryDelay: 0
  adminPassword: admin
  adminUser: admin
  console:
    expose: true
    sslEnabled: true
    sslSecret: mytlssecret-console
  deploymentPlan:
    enableMetricsPlugin: true
    jolokiaAgentEnabled: true
    journalType: nio
    labels:
      app: intp
      component: intp-amq
      monitoring: amq-monitoring
      product: intp
    managementRBACEnabled: true
    messageMigration: false
    persistenceEnabled: true
    requireLogin: true
    size: 1
    storage:
      size: 5Gi
  upgrades:
    enabled: false
    minor: false